import 'dart:io';

import 'docutain_sdk_platform_interface.dart';

///Available PDF page formats when generating PDF documents.
enum PDFPageFormat {
fitToPages, a4, a4Landscape, a5, a5Landscape, letter, letterLandscape, legal, legalLandscape
}

class DocutainSdkDocument {
  ///Generates a PDF Document from the scanned document.
  static Future<File?> writePDF(String path, String fileName,
      {bool overwrite = true, pdfPageFormat = PDFPageFormat.fitToPages}) {
    return DocutainSdkPlatform.instance.writePDF(path, fileName, overwrite, pdfPageFormat);
  }

  ///Returns the page count of the currently loaded document.
  static Future<int> pageCount() {
    return DocutainSdkPlatform.instance.pageCount();
  }

  // ///Generates a JPG from the loaded or scanned page and saves it to a local file.
  // static Future<File?> writeImage(int page, String path, String fileName) {
  //   return DocutainSdkPlatform.instance.writeImage(page, path, fileName);
  // }
}
