import 'docutain_sdk_platform_interface.dart';

class AnalyzeConfiguration {

  int _flags = 0;
  //String _ownIBAN = "";
  final int _maskReadBIC = 1;

  /// Read BIC.
  bool get readBIC => _flags & _maskReadBIC != 0;
  set readBIC(bool value) {
    _flags = (_flags & ~_maskReadBIC) + (value == true ? _maskReadBIC : 0);
  }
  final int _maskReadPaymentState = 2;
  /// Read Payment State.
  bool get readPaymentState => _flags & _maskReadPaymentState != 0;
  set readPaymentState(bool value) {
    _flags = (_flags & ~_maskReadPaymentState) + (value == true ? _maskReadPaymentState : 0);
  }
}

class DocutainSdkDocumentDataReader {
  ///Sets the analyze configuration and starts necessary processes for text recognition.
  ///It needs to be called right after [DocutainSdk.initSDK].
  static Future<bool> setAnalyzeConfiguration(AnalyzeConfiguration analyzeConfiguration) {
    return DocutainSdkPlatform.instance.setAnalyzeConfiguration(analyzeConfiguration);
  }

  ///Analyzes the currently loaded document and returns the detected data.
  static Future<String> analyze() {
    return DocutainSdkPlatform.instance.analyze();
  }

  ///Detects the text of the currently loaded document and returns it.
  ///Use [pageNumber] if you want the text of just one specific page.
  static Future<String> getText({int pageNumber = -1}) {
    return DocutainSdkPlatform.instance.getText(pageNumber);
  }
}