import 'dart:io';
import 'docutain_sdk_platform_interface.dart';


///Logs can be filtered based on their priority
enum Level {
  disable, assertion, error, warning, info, debug, verbose
}

class DocutainSdkLogger {

  ///Gets the Trace file which includes information necessary for support inquiries.
  static Future<File?> getTraceFile() {
    return DocutainSdkPlatform.instance.getTraceFile();
  }

  ///Sets the log level, which determines the severity of the message.
  static Future setLogLevel(Level level) {
    return DocutainSdkPlatform.instance.setLogLevel(level);
  }
}