import 'dart:ui';

import 'docutain_sdk_platform_interface.dart';
import 'package:tuple/tuple.dart';

///Configuration class used to alter the default scanner theming.
class ColorConfiguration {
  Tuple2<Color, Color>? colorPrimary;
  Tuple2<Color, Color>? colorSecondary;
  Tuple2<Color, Color>? colorOnSecondary;
  Tuple2<Color, Color>? colorScanButtonsLayoutBackground;
  Tuple2<Color, Color>? colorScanButtonsForeground;
  Tuple2<Color, Color>? colorScanPolygon;
  Tuple2<Color, Color>? colorBottomBarBackground;
  Tuple2<Color, Color>? colorBottomBarForeground;
  Tuple2<Color, Color>? colorTopBarBackground;
  Tuple2<Color, Color>? colorTopBarForeground;
}

///Configuration class used to alter the default scanner behaviour.
class DocumentScannerConfiguration {
  var allowCaptureModeSetting = false;
  var colorConfig = ColorConfiguration();
  var pageEditConfig = PageEditConfiguration();
}

///Configuration class used to alter the default edit image behaviour.
class PageEditConfiguration {
  ///If false, the bottom toolbar will hide the filter page item. Defaults to true.
  var allowPageFilter = true;

  ///If false, the bottom toolbar will hide the rotate page item. Defaults to true.
  var allowPageRotation = true;
}

class DocutainSdkUi {
  ///Starts the document scanner. Use [scanConfig] to alter the default behaviour/theming of the scanner.
  static Future<bool> scanDocument(DocumentScannerConfiguration scanConfig) {
    return DocutainSdkPlatform.instance.scanDocument(scanConfig);
  }
}
